<?php session_start();
require_once("./../../config/config.php");
//require_once("../config/commonsetting.php");

$myformId=SESS_MASTER;
$myIp= ipCheck() ;
$dateceated=date("Y-m-d G:i:s");
$createdby='0';
$token		=   secureSuperGlobalPOST($_REQUEST[SESS_MASTER.'token']);

$stat	=   secureSuperGlobalPOST($_REQUEST[SESS_MASTER.'stat']);
$api_type	=   secureSuperGlobalPOST($_REQUEST[SESS_MASTER.'api_type']);


 if($_POST){
  try{
      if($stat=='0'){
          $olgaquery="INSERT INTO api_coupan SET createdIp='$myIp',datecreated='$dateceated',access_token='$token',api_type='$api_type'"; 
		$stmt = $conn->prepare($olgaquery);
		if($stmt->execute()){
			$last_insert_id = $conn->lastInsertId();

			$_SESSION["created"] = $last_insert_id ;
			$json['status'] = true;
            $json['message'] =  "Save Successfully";
			// echo "<script>window.location='../tradedoubler.php';</script>";;
		}
          
      }else{
          $olgaquery="UPDATE api_coupan SET createdIp='$myIp',datecreated='$dateceated',access_token='$token' WHERE api_type='$api_type' "; 
		$stmt = $conn->prepare($olgaquery);
		if($stmt->execute()){
			$last_insert_id = $conn->lastInsertId();

			$_SESSION["created"] = $last_insert_id ;
			$json['status'] = true;
            $json['message'] =  "Save Successfully";
		//	 echo "<script>window.location='../tradedoubler.php';</script>";;
		}
          
      }
		
 
 
   }
         
        // show error
        catch(PDOException $exception){
            die('ERROR: ' . $exception->getMessage());
        }
    }

    echo json_encode($json);
?>